Prindi

Muudatused veebilehitsejas Chrome nõuavad teie e-teenuste täiendamist

10.06.2015

Tuletame meelde, et võimaldamaks ID-kaardiga allkirjastamist veebilehitsejas Chrome, peavad kõik e-teenuste pakkujad augustikuuks arendama uue allkirjastamise mooduli toe.

Aprillis kaotas Chrome osaliselt seniste NPAPI-põhiste allkirjastamismoodulite toe. Loe ka meie sellekohast teavitust. Augustis jätkatakse piirangutega, mis tähendab, et alates kuu teisest poolest (Chrome’i versioonist 45) lubatakse allkirjastamist vaid uuel tehnoloogial põhineva allkirjastamise mooduliga.

Sellest tulenevalt peavad kõik e-teenuste pakkujad, kes pole veel uuele allkirjastamise lahendusele üle läinud, arvestama infosüsteemide täiendamisega. Vastasel juhul pole ID-kaardiga allkirjastamine teie e-teenuses Chrome’i veebilehitsejat kasutades enam võimalik.

Chrome on Eestis kasutatavaim veebilehitseja ja seetõttu võib väga paljudel alates augustist olla häiritud ID-kaardi kasutamine teie e-teenustes.

E-teenuste pakkujatel tuleb kasutusele võtta uus allkirjastamise komponent hwcrypto.js. Tehnilise info leiab siit.

Lõppkasutajale paigaldatakse automaatselt uus allkirjastamise moodul alates ID-tarkvara versioonist 3.10.2, mis on kättesaadav aadressil id.ee.

Tehniliste küsimuste korral võtke palun ühendust e-posti aadressil support[A]sk.ee või telefonil 610 1880.